Groovy Documentation

## org.codehaus.groovy.grails.support
[Java] Class MockApplicationContext.MockResource

    java.lang.Object
      org.springframework.core.io.AbstractResource
          org.codehaus.groovy.grails.support.MockApplicationContext.MockResource

    public class MockApplicationContext.MockResource
    extends AbstractResource

Constructor Summary
`MockApplicationContext.MockResource(java.lang.String location)`
`MockApplicationContext.MockResource(java.lang.String location, java.lang.String contents)`

Method Summary
`boolean` | `exists()`
`java.lang.String` | `getDescription()`
`java.io.InputStream` | `getInputStream()`

Constructor Detail

### MockApplicationContext.MockResource

    public MockApplicationContext.MockResource(java.lang.String location)

### MockApplicationContext.MockResource

    public MockApplicationContext.MockResource(java.lang.String location, java.lang.String contents)

Method Detail

### exists

    @Override
    public boolean exists()

### getDescription

    public java.lang.String getDescription()

### getInputStream

    public java.io.InputStream getInputStream()

Groovy Documentation